Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.security.assertion
Class ElementIntegrityAssertion

    java.lang.Object
      |
      +--weblogic.xml.security.assertion.IntegrityAssertion
            |
            +--weblogic.xml.security.assertion.ElementIntegrityAssertion

public class ElementIntegrityAssertion
extends IntegrityAssertion
implements ElementAssertion

${FILE} Created: Oct 6, 2002, 6:35:11 PM by pdapkus

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.xml.security.assertion.IntegrityAssertion
`id`

Constructor Summary
`ElementIntegrityAssertion(java.lang.String method, java.security.cert.X509Certificate cert, java.lang.String localName, java.lang.String namespace, java.lang.String restriction)`
`ElementIntegrityAssertion(java.lang.String method, java.security.cert.X509Certificate cert, XMLName name, java.lang.String restriction)`

Method Summary
`java.lang.String` | `getAssertionType()`
`int` | `getAssertionTypeCode()`
`java.lang.String` | `getElementLocalName()`
`javax.xml.namespace.QName` | `getElementName()`
`java.lang.String` | `getElementNamespace()`
`java.lang.String` | `getId()`
`java.lang.String` | `getPolicyString()`
`java.lang.String` | `getRestriction()`
`boolean` | `isAssertionType(java.lang.String assertionType)`
`boolean` | `satisfies(weblogic.xml.security.specs.ElementIdentifier spec)`
`java.lang.String` | `toString()`

Methods inherited from class weblogic.xml.security.assertion.IntegrityAssertion
`getCertificate, getSignatureMethod, getType, repudiable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ElementIntegrityAssertion

    public ElementIntegrityAssertion(java.lang.String method,
                                     java.security.cert.X509Certificate cert,
                                     java.lang.String localName,
                                     java.lang.String namespace,
                                     java.lang.String restriction)

### ElementIntegrityAssertion

    public ElementIntegrityAssertion(java.lang.String method,
                                     java.security.cert.X509Certificate cert,
                                     XMLName name,
                                     java.lang.String restriction)

Method Detail

### getPolicyString

    public java.lang.String getPolicyString()

  Overrides:
    getPolicyString in class IntegrityAssertion

### getRestriction

    public java.lang.String getRestriction()

  Specified by:
    getRestriction in interface ElementAssertion

### getElementName

    public javax.xml.namespace.QName getElementName()

  Specified by:
    getElementName in interface ElementAssertion

### getElementLocalName

    public java.lang.String getElementLocalName()

  Specified by:
    getElementLocalName in interface ElementAssertion

### getElementNamespace

    public java.lang.String getElementNamespace()

  Specified by:
    getElementNamespace in interface ElementAssertion

### getId

    public java.lang.String getId()

  Overrides:
    getId in class IntegrityAssertion

### isAssertionType

    public final boolean isAssertionType(java.lang.String assertionType)

  Overrides:
    isAssertionType in class IntegrityAssertion

### getAssertionType

    public final java.lang.String getAssertionType()

  Overrides:
    getAssertionType in class IntegrityAssertion

### getAssertionTypeCode

    public final int getAssertionTypeCode()

  Overrides:
    getAssertionTypeCode in class IntegrityAssertion

### satisfies

    public final boolean satisfies(weblogic.xml.security.specs.ElementIdentifier spec)

  Specified by:
    satisfies in interface ElementAssertion

### toString

    public final java.lang.String toString()

  Overrides:
    toString in class IntegrityAssertion

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD